# PSF-LoginServer - master - net.psforever.objects.vehicles.AntTransferBehavior
PSF - LoginServer - master - net.psforever.objects.vehicles.AntTransferBehavior
Keywords: PSF LoginServer master net.psforever.objects.vehicles.AntTransferBehavior

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vehicles
  Definition Classes
    objects
-  package control
  Definition Classes
    vehicles
- AccessPermissionGroup
- AntTransferBehavior
- Cargo
- CargoBehavior
- CargoVehicleRestriction
- DestroyedVehicle
- InternalTelepadDefinition
- ManifestPassengerEntry
- MountableWeapons
- MountableWeaponsDefinition
- MountedWeapons
- MountedWeaponsDefinition
- SeatArmorRestriction
- Turrets
- Utility
- UtilityType
- VehicleLockState
- VehicleManifest

t

net.psforever.objects.vehicles

# AntTransferBehavior

###

#### trait AntTransferBehavior extends TransferBehavior with NtuStorageBehavior

Source
  AntTransferBehavior.scala

Linear Supertypes
NtuStorageBehavior, Actor, TransferBehavior, AnyRef, Any
Known Subclasses
AntControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AntTransferBehavior
2. NtuStorageBehavior
3. Actor
4. TransferBehavior
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Abstract Value Members

1.  abstract def ChargeTransferObject: Vehicle with NtuContainer
   Definition Classes
     AntTransferBehavior → TransferBehavior
2.  abstract def receive: akka.actor.Actor.Receive
   Definition Classes
     Actor

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ActivatePanelsForChargingEvent(vehicle: NtuContainer): Unit
5.  def HandleChargingEvent(target: TransferContainer): Boolean
   Definition Classes
     AntTransferBehavior → TransferBehavior
6.  def HandleDischargingEvent(target: TransferContainer): Boolean

   Discharging

   Discharging

   Definition Classes
     AntTransferBehavior → TransferBehavior
7.  def HandleNtuGrant(sender: ActorRef, src: NtuContainer, amount: Float): Unit
   Definition Classes
     AntTransferBehavior → NtuStorageBehavior
8.  def HandleNtuOffer(sender: ActorRef, src: NtuContainer): Unit
   Definition Classes
     AntTransferBehavior → NtuStorageBehavior
9.  def HandleNtuRequest(sender: ActorRef, min: Float, max: Float): Unit
   Definition Classes
     AntTransferBehavior → NtuStorageBehavior
10.  def InitialCharge(): Unit
11.  def InitialDischarge(): Unit
12.  def NoCharge(): Unit
13.  def NtuStorageObject: NtuContainer
    Definition Classes
      NtuStorageBehavior
14.  def ReceiveAndDepositUntilFull(vehicle: Vehicle, amount: Float): Boolean
15.  def StartNtuChargingEvent(vehicle: NtuContainer): Unit

    Charging

16.  def StopNtuBehavior(sender: ActorRef): Unit
    Definition Classes
      AntTransferBehavior → NtuStorageBehavior
17.  def TransferMaterial: Nanites
    Definition Classes
      AntTransferBehavior → TransferBehavior
18.  def TryChargingActivity(): Unit
    Definition Classes
      TransferBehavior
19.  def TryDischargingActivity(): Unit
    Definition Classes
      TransferBehavior
20.  def TryStopChargingEvent(container: TransferContainer): Unit

    Stopping

    Stopping

    Definition Classes
      AntTransferBehavior → TransferBehavior
21.  def UpdateNtuUI(vehicle: Vehicle with NtuContainer): Unit
22.  def WithdrawAndTransmit(vehicle: Vehicle, maxRequested: Float): Any
23.  def antBehavior: Receive
24.  def aroundPostRestart(reason: Throwable): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
25.  def aroundPostStop(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
26.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
27.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
28.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
29.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
30.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
31.  implicit val context: ActorContext
    Definition Classes
      Actor
32.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
34.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
35.  val findChargeTargetFunc: (TransferContainer, Option[TransferContainer]) => Option[TransferContainer]
    Definition Classes
      TransferBehavior
36.  val findDischargeTargetFunc: (TransferContainer, Option[TransferContainer]) => Option[TransferContainer]
    Definition Classes
      TransferBehavior
37.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
38.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
39.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
40.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
41.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
42.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
43.  val ntuChargingTick: Cancellable
44.  val panelAnimationFunc: () => Unit
45.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
46.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
47.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
48.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
49.  implicit final val self: ActorRef
    Definition Classes
      Actor
50.  final def sender(): ActorRef
    Definition Classes
      Actor
51.  def storageBehavior: Receive
    Definition Classes
      NtuStorageBehavior
52.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
53.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
54.  def toString(): String
    Definition Classes
      AnyRef → Any
55.  val transferBehavior: Receive
    Definition Classes
      TransferBehavior
56.  val transferEvent: serverobject.transfer.TransferBehavior.Event.Value
    Definition Classes
      TransferBehavior
57.  val transferTarget: Option[TransferContainer]
    Definition Classes
      TransferBehavior
58.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
59.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
60.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
61.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from NtuStorageBehavior

### Inherited from Actor

### Inherited from TransferBehavior

### Inherited from AnyRef

### Inherited from Any

### Ungrouped